执行WordPress 4.2.0中所做的更改。

原型

upgrade_423()

源文件

路径:wp-admin/includes/upgrade.php

<?php
...
 * @global wpdb  $wpdb
 */
function upgrade_340() {
	global $wp_current_db_version, $wpdb;
	if ( $wp_current_db_version < 19798 ) {
		$wpdb->hide_errors();
		$wpdb->query( "ALTER TABLE $wpdb->options DROP COLUMN blog_id" );
		$wpdb->show_errors();
	}
	if ( $wp_current_db_version < 19799 ) {
		$wpdb->hide_errors();
		$wpdb->query("ALTER TABLE $wpdb->comments DROP INDEX comment_approved");
		$wpdb->show_errors();
	}
	if ( $wp_current_db_version < 20022 && wp_should_upgrade_global_tables() ) {
		$wpdb->query( "DELETE FROM $wpdb->usermeta WHERE meta_key = 'themes_last_view'" );
...
?>

其他

英文文档:https://developer.wordpress.org/reference/functions/upgrade_423/